Gets discount value

Gets the discount value based on the quantity.

get

This endpoint is used to get the discount value based on the quantity.

The discount value is calculated based on the commission rate that is set for the user.

Query parameters
quantityinteger · int32Required

The quantity value to check the discount value result.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

datanumber · doubleOptional
get
/api/v1/commission-rates/get-discount

Last updated